#!/bin/bash

# Install apt-cacher-ng from Debian 11 backports, because the official version will throw 502 errors and stop download of packages


# Check, if Bullseye (Debian 11) is installed
if [ $(grep bullseye -c /etc/apt/sources.list) -gt 0 ] && [ ! -f /etc/apt/sources.list.d/debian-backports-m23.list ]
then
	# Waiting for exit of foreign APT run
	while [ $(ps -A | grep -v apt-cacher| grep apt -c -i) -gt 0 ] || [ $(ps -A | grep dpkg -c -i) -gt 0 ] ; do sleep 5; done
	
	# Create the package sources.list for the backports, if it's not present
	echo 'deb https://deb.debian.org/debian bullseye-backports main contrib non-free' > /etc/apt/sources.list.d/debian-backports.list

	# Fetch the index with available packages
	apt-get update

	# Disable APT's interactive mode
	export DEBIAN_FRONTEND=noninteractive

	# Disable blocking by apt-listchanges
	export APT_LISTCHANGES_FRONTEND=cat

	
# 	export TERM=xterm
# 
# 	# Make sure, the $PATH variable contains the path's to the admin tools
# 	. /root/.profile
# 	. /etc/profile

	# Set debconf values (there is a new value in the new apt-cacher-ng)
# echo 'apt-cacher-ng   apt-cacher-ng/port      string  keep
# apt-cacher-ng   apt-cacher-ng/bindaddress       string  keep
# apt-cacher-ng   apt-cacher-ng/tunnelenable      boolean false
# apt-cacher-ng   apt-cacher-ng/gentargetmode     select  No automated setup
# apt-cacher-ng   apt-cacher-ng/cachedir  string  keep
# apt-cacher-ng   apt-cacher-ng/proxy     string  keep' | debconf-set-selections

# 	mkdir /apttmp

	# Install apt-cacher-ng from Debian 11 backports, without overwriting any of the config files or asking for it
	apt-get -y -t bullseye-backports -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install apt-cacher-ng
	
	#  -o APT::ExtractTemplates::TempDir="/apttmp" 
fi